Controllers/DocumentosController.cs
using Microsoft.AspNetCore.Mvc;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Authorization;
using Microsoft.AspNetCore.Authentication.Cookies;

namespace sopinfra.Controllers
{
    public class DocumentosController : Controller
    {

        [Authorize(Policy = "Require.Ldap.User", AuthenticationSchemes = CookieAuthenticationDefaults.AuthenticationScheme)]
        public IActionResult Index()
        {
            return View();
        }
    }
}

Controllers/FileManagerController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using Newtonsoft.Json;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Hosting;
using Microsoft.AspNetCore.Http;
using Microsoft.AspNetCore.Http.Features;


namespace sopinfra.Controllers
{
    public class FileManagerController : Controller
    {
        public ActionResult Inicio()
        {
            return View();
        }
    }
}

Controllers/ServerController.cs
using sopinfra.DBContexts;
using sopinfra.Models;
using Microsoft.AspNetCore.Http;
using Microsoft.AspNetCore.Mvc;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.EntityFrameworkCore;
using Microsoft.AspNetCore.Authorization;
using Microsoft.AspNetCore.Authentication.Cookies;

namespace sopinfra.Controllers
{
    //[Route("api/[controller]")]
    //[ApiController]
    public class ServerController : Controller
    {
        private readonly MyDBContext myDbContext;


        public ServerController(MyDBContext context)
        {
            myDbContext = context;
        }

        //[HttpGet]
        //public IList<Server> Get()

        [Authorize(Policy = "Require.Ldap.User", AuthenticationSchemes = CookieAuthenticationDefaults.AuthenticationScheme)]
        public IActionResult Index()
        {
        //    ViewBag.Servers = myDbContext.Servers.ToList();
            //ViewBag.Servers = ctx.Servers.Where(x=>x.Sistema == "Windows").ToList();
            //return RedirectToAction("Home", "Index");
        //    return View();
            return RedirectToAction("Index", "Home");
        }


        [Authorize(Policy = "Require.Ldap.User", AuthenticationSchemes = CookieAuthenticationDefaults.AuthenticationScheme)]
        public IActionResult InicioWin()
        {
            ViewBag.Servers = myDbContext.Servers.Where(x => x.Sistema == "Windows").ToList();
            return View();
        }

        [Authorize(Policy = "Require.Ldap.User", AuthenticationSchemes = CookieAuthenticationDefaults.AuthenticationScheme)]
        public IActionResult InicioAIX()
        {
            ViewBag.Servers = myDbContext.Servers.Where(x => x.Sistema == "AIX").ToList();
            return View();
        }

        [Authorize(Policy = "Require.Ldap.User", AuthenticationSchemes = CookieAuthenticationDefaults.AuthenticationScheme)]
        public IActionResult InicioRed()
        {
            ViewBag.Servers = myDbContext.Servers.Where(x => x.Sistema == "RedHat").ToList();
            return View();
        }


        [Authorize(Policy = "Require.Ldap.User", AuthenticationSchemes = CookieAuthenticationDefaults.AuthenticationScheme)]
        public IActionResult Create()
        {

            return View();
        }


        [HttpPost]
        [ValidateAntiForgeryToken]
        [Authorize(Policy = "Require.Ldap.User", AuthenticationSchemes = CookieAuthenticationDefaults.AuthenticationScheme)]
        public async Task<IActionResult> Create([Bind("DnsName,IpAddress,Descripcion,Sistema")] Server server)
        {
            if (ModelState.IsValid)
            {
                myDbContext.Add(server);
                await myDbContext.SaveChangesAsync();
                //return RedirectToAction(nameof(Inicio));
                return RedirectToAction("Index", "Home");
            }
            return View(server);
        }



        [Authorize(Policy = "Require.Ldap.User", AuthenticationSchemes = CookieAuthenticationDefaults.AuthenticationScheme)]
        public async Task<IActionResult> Update(int? id)
        {
            if (id == null)
            {
                return NotFound();
            }
            var server = await myDbContext.Servers.FirstOrDefaultAsync(s => s.Id == id);
            if (await TryUpdateModelAsync<Server>(
                server,
                "",
                s => s.DnsName, s => s.IpAddress, s => s.Descripcion, s => s.Sistema))
            {
                try
                {
                    await myDbContext.SaveChangesAsync();
                    return RedirectToAction("Index", "Home");
                }
                catch (DbUpdateException /* ex */)
                {
                    //Log the error (uncomment ex variable name and write a log.)
                    ModelState.AddModelError("", "Unable to save changes. " +
                        "Try again, and if the problem persists, " +
                        "see your system administrator.");
                }
            }
            return View(server);
        }


        [Authorize(Policy = "Require.Ldap.User", AuthenticationSchemes = CookieAuthenticationDefaults.AuthenticationScheme)]
        public IActionResult Edit(int Id)
        {
            var server = myDbContext.Servers.Find(Id);
            if (server == null)
            {
                return Redirect("Index");
            }
            return View(server);
        }

        [Authorize(Policy = "Require.Ldap.User", AuthenticationSchemes = CookieAuthenticationDefaults.AuthenticationScheme)]
        public async Task<IActionResult> Delete(int? id)
        {
            if (id == null)
            {
                return NotFound();
            }

            var server = await myDbContext.Servers
                .FirstOrDefaultAsync(m => m.Id == id);
            if (server == null)
            {
                return NotFound();
            }

            return View(server);
        }


        [HttpPost, ActionName("Delete")]
        [ValidateAntiForgeryToken]
        [Authorize(Policy = "Require.Ldap.User", AuthenticationSchemes = CookieAuthenticationDefaults.AuthenticationScheme)]
        public async Task<IActionResult> DeleteConfirmed(int id)
        {
            var server = await myDbContext.Servers.FindAsync(id);
            myDbContext.Servers.Remove(server);
            await myDbContext.SaveChangesAsync();
            return RedirectToAction("Index", "Home");
        }


    }
}

Views/Shared/_Layout.cshtml
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>@ViewData["Title"] - sopinfra</title>
    <link rel="stylesheet" href="~/lib/bootstrap/dist/css/bootstrap.min.css" />
    <link rel="stylesheet" href="~/css/site.css" />
    <!-- Syncfusion Essential JS 2 Styles -->
    <link rel="stylesheet" href="https://cdn.syncfusion.com/ej2/material.css" />
    <!-- Syncfusion Essential JS 2 Scripts -->
    <script src="https://cdn.syncfusion.com/ej2/dist/ej2.min.js"></script>
</head>
<body>
    <header>
        <nav class="navbar navbar-expand-sm navbar-toggleable-sm navbar-dark bg-dark border-bottom box-shadow mb-3">
            <div class="container">
                <a class="navbar-brand" asp-area="" asp-controller="Home" asp-action="Index">sopinfra</a>
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target=".navbar-collapse" aria-controls="navbarSupportedContent"
                        aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>
                <div class="navbar-collapse collapse d-sm-inline-flex flex-sm-row-reverse">
                    <ul class="navbar-nav flex-grow-1">
                        <li class="nav-item">
                            <a class="nav-link text-light" asp-area="" asp-controller="Home" asp-action="Index">Home</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link text-light" asp-area="" asp-controller="Documentos" asp-action="Index">Documentos</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link text-light" asp-area="" asp-controller="Home" asp-action="SecurePage">Secure Page</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link text-light" asp-area="" asp-controller="FileManager" asp-action="Inicio">File Manager</a>
                        </li>

                        <li class="nav-item dropdown bg-dark">
                            <a class="nav-link dropdown-toggle text-light" id="navbarDropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                Servidores
                            </a>
                            <div class="dropdown-menu bg-dark" aria-labelledby="navbarDropdownMenuLink">
                                <a class="nav-link text-light" asp-area="" asp-controller="Server" asp-action="InicioWin">Windows</a>
                                <a class="nav-link text-light" asp-area="" asp-controller="Server" asp-action="InicioAix">AIX</a>
                                <a class="nav-link text-light" asp-area="" asp-controller="Server" asp-action="InicioRed">RedHat</a>
                            </div>
                        </li>
                        @if (User.Identity.IsAuthenticated)
                        {
            @using (Html.BeginForm("Logout", "Account", new { area = "" }, FormMethod.Post, true, new { id = "logoutForm", role = "form" }))
            {
@Html.AntiForgeryToken()
                    <li class="nav-item">
                        <a class="nav-link text-light" onclick="javascript:document.getElementById('logoutForm').submit()">Logout</a>
                    </li>
} }
        else
        {
<li class="nav-item">
    <a class="nav-link text-light" asp-area="" asp-controller="Account" asp-action="Login">Login</a>
</li>
}
                    </ul>
                </div>
            </div>
        </nav>
    </header>
    <div class="container">
        <main role="main" class="pb-3">
            @RenderBody()
        </main>
    </div>

    <footer class="border-top footer text-muted">
        <div class="container">
            &copy 2020 - sopinfra - <a asp-area="" asp-controller="Home" asp-action="Privacy">Privacy</a>
        </div>
    </footer>

    <script src="~/lib/jquery/dist/jquery.min.js"></script>
    <script src="~/lib/bootstrap/dist/js/bootstrap.bundle.min.js"></script>
    <script src="~/js/site.js" asp-append-version="true"></script>
    <ejs-scripts></ejs-scripts>

    @RenderSection("Scripts", required: false)

</body>
</html>